summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger (mrueg) <gentoo@rueg.eu>2012-08-07 19:36:46 +0200
committerManuel Rüger (mrueg) <gentoo@rueg.eu>2012-08-07 19:36:46 +0200
commit7a36df26d9c3e41ae9bef37134a92892f5d4ec60 (patch)
tree501124d38392689de891deeb70494e40abc278dd /sys-apps/fwts/fwts-0.25.06.ebuild
parentgames-arcade/retrobattle imported into main tree (diff)
downloadsunrise-7a36df26d9c3e41ae9bef37134a92892f5d4ec60.tar.gz
sunrise-7a36df26d9c3e41ae9bef37134a92892f5d4ec60.tar.bz2
sunrise-7a36df26d9c3e41ae9bef37134a92892f5d4ec60.zip
sys-apps/fwts: Version bump for sys-apps/fwts
Diffstat (limited to 'sys-apps/fwts/fwts-0.25.06.ebuild')
-rw-r--r--sys-apps/fwts/fwts-0.25.06.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/sys-apps/fwts/fwts-0.25.06.ebuild b/sys-apps/fwts/fwts-0.25.06.ebuild
new file mode 100644
index 000000000..263e04931
--- /dev/null
+++ b/sys-apps/fwts/fwts-0.25.06.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit autotools
+DESCRIPTION="Firmware Test Suite"
+HOMEPAGE="https://wiki.ubuntu.com/Kernel/Reference/fwts"
+SRC_URI="http://launchpad.net/ubuntu/+archive/primary/+files/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="sys-apps/pciutils
+ sys-power/iasl
+ sys-power/pmtools
+ sys-apps/dmidecode"
+DEPEND="${RDEPEND}
+ dev-libs/json-c
+ sys-devel/libtool"
+
+src_prepare(){
+ sed -i -e 's/-Wall -Werror/-Wall/' configure.ac {,src/,src/lib/src/}Makefile.am || die
+ sed -i -e 's:/usr/bin/lspci:/usr/sbin/lspci:' src/lib/include/fwts_binpaths.h || die
+ # No Makefile included - upstream wants autoreconf
+ eautoreconf
+}